<!-- main table -->
<table class="table-content">
  <thead>
    <tr class="row-1">
      <th rowspan="2" class="colum-1">
        <span class="title-list">Sample ID</span>
      </th>
      <th rowspan="2" class="colum-1">
        <span class="title-list">z-factor</span>
        <span class="line-left"></span>
      </th>
      <th colspan="3" class="colum-2">
        <span class="title-list top">OIL</span>
        <span class="line-left"></span>
      </th>
      <th rowspan="2" class="colum-3">
        <span class="title-list">GOR</span>
        <span class="sub-num">scf/bbl</span>
      </th>
      <th rowspan="2" class="colum-3">
        <span class="title-list">Bo</span>
        <span class="sub-num">rb/stb</span>
      </th>
      <th rowspan="2" class="colum-3">
        <span class="title-list">Bw</span>
        <span class="sub-num">rb/stb</span>
      </th>
      <th rowspan="2" class="colum-3">
        <span class="title-list">GWR</span>
        <span class="sub-num">scf/bbl</span>
        <span class="line-left"></span>
      </th>
      <th colspan="3" class="colum-2">
        <span class="title-list top">WATER</span>
        <span class="line-left"></span>
      </th>
      <th class="colum-4">
        <span class="title-list top">GAS</span>
      </th>
    </tr>
    <tr>
      <th>
        <span class="title-list second">Density</span>
        <span class="sub-num">lbm/ft<sup>3</sup></span>
      </th>
      <th>
        <span class="title-list second">Compressibility</span>
        <span class="sub-num">1/psi</span>
      </th>
      <th>
        <span class="title-list second">Viscosity</span>
        <span class="sub-num">cp</span>
      </th>
      <th>
        <span class="title-list second">Density</span>
        <span class="sub-num">lbm/ft<sup>3</sup></span>
      </th>
      <th>
        <span class="title-list second">Compressibility</span>
        <span class="sub-num">1/psi</span>
      </th>
      <th>
        <span class="title-list second">Viscosity</span>
        <span class="sub-num">cp</span>
      </th>
      <th>
        <span class="title-list second">Viscosity</span>
        <span class="sub-num">cp</span>
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of data">
      <td class="colum-1">
        <span class="number-table">{{ item?.calculation?.sampleId }}</span>
      </td>
      <td class="colum-1">
        <span class="number-table">{{ item?.calculation?.zFactor }}</span>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table">{{ item.oilDensity | number: "1.2-2" }} </span>
        </div>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table">{{ item.oilCompressibility }} </span>
        </div>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table">{{ item.oilViscosity | number: "1.2-2" }}</span>
        </div>
      </td>
      <td class="colum-3">
        <div class="value-table">
          <span class="number-table">{{ item.gor | number: "1.2-2" }} </span>
        </div>
      </td>
      <td class="colum-3">
        <div class="value-table">
          <span class="number-table">{{ item.bo | number: "1.2-2" }} </span>
        </div>
      </td>
      <td class="colum-3">
        <div class="value-table">
          <span class="number-table">{{ item.bw | number: "1.2-2" }} </span>
        </div>
      </td>
      <td class="colum-3">
        <div class="value-table">
          <span class="number-table">{{ item.gwr | number: "1.2-2" }}
            </span>
        </div>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table">{{ item.waterDensity | number: "1.2-2" }} </span>
        </div>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table">{{ item.waterCompressibility }}
           </span>
        </div>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table">{{ item.waterViscosity | number: "1.2-2" }}
            </span>
        </div>
      </td>
      <td class="colum-4">
        <div class="value-table">
          <span class="number-table">{{ item.gasViscosity | number: "1.2-2" }}
            </span>
        </div>
      </td>
    </tr>
  </tbody>
</table>
<!-- end/table content -->
